<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Portrait\DozentenportraitBearbeiten;

class DozentenPortraitBearbeitenView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/portrait/dozentenportraitbearbeiten.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->dozentenPortrait);
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn(
      $this->viewModel->toolSection,
      $this->viewModel->toolSettings,
      $this->viewModel->dozentenPortrait,
      true
    );
  }
}

class DozentenPortraitBearbeitenViewModel
{
  public $dozentenPortrait;
  public $columns;
  public $toolSection;
  public $toolSettings;
}